jenkins-debian-glue
===================

As Devuan is a GNU/Linux distribution, we are usually expected to build
native _.deb_ packages of varios software and kernels. Using
[jenins-debian-glue](https://jenkins-debian-glue.org),
[dak](https://wiki.debian.org/DebianDak), and
[amprolla](https://git.devuan.org/devuan-infrastructure/amprolla3), it
is easy to produce Devuan packages and repositories that are fully
customizable for any need.

jenkins-debian-glue is an open-source pluggable module for Jenkins that
provides Q/A test integration, policy verification, and controlled build
environments for building _deb_ packages. It holds the logic of pbuilder
and reproducible package builds. This allows us to seamlessly build
_deb_ packages that are maintained and version-controlled in Git.
Providing the entire development history and quality assurance through
code reviews and similar.


Deployment
----------

On **any Devuan-based** system, once Jenkins is installed, we can
install an additional (meta)package prepared for easy deployment of
jenkins-debian-glue called `jenkins-debian-glue-buildenv-devuan`.
Installing it, along with `default-jre-headless`, would add support to
our build nodes to build _deb_ packages using version control systems
like Subversion and Git. To install, we would simply issue:

```
# apt install jenkins-debian-glue-buildenv-devuan default-jre-headless
```

Once installed, we would be able to add and configure the node in our
Jenkins master.
